/*---------------------------------------------------------------------------*
  Project:  QRD
  File:     GraphicsControl.h

  Copyright (C)2010 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Rev: $
 *---------------------------------------------------------------------------*/

#include <demo.h>

class GraphicsControl
{
public:
    GraphicsControl(){};
    ~GraphicsControl(){};

    int InitializeGraphics(void);
    void FinalizeGraphics(void);

    void ClearDisplay(const GLenum display);
    void SwapBuffer(const s32 display = NN_GX_DISPLAY_BOTH, const bool wait = true);
    void DrawCamera(u8* textureDataPtr, u32 bmpWidth, u32 bmpHeight);
    void DrawLine(s32 display, f32 sx, f32 sy, f32 ex, f32 ey, f32 w, f32 r, f32 g, f32 b);

private:
    demo::RenderSystemDrawing s_RenderSystem;
    uptr s_HeapForGx;
};
